%define _systemctl /usr/bin/systemctl

Name:		virtuozzo-motd
Version:	1.4.2
Release:	6%{?dist}
Summary:	OpenVZ motd

Group:		System Environment/Base
License:	GPLv2
Source0:	issue.template
Source2:	vz_motd.py
Source3:	vz-motd.service
Source4:	vz-motd.timer
Source5:	ssh_profile.sh
BuildArch:	noarch
BuildRequires:	systemd-devel

Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post): systemd-units

%description
OpenVZ custom login screen and message of the day file

%prep

%install
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}/lib/systemd/system
mkdir -p %{buildroot}/%{_sysconfdir}/
mkdir -p %{buildroot}/%{_sysconfdir}/profile.d/
install -m 755 %{SOURCE5} %{buildroot}/%{_sysconfdir}/profile.d/
install -m 755 %{SOURCE2} %{buildroot}/sbin/vz-motd
install -m 644 %{SOURCE0} %{buildroot}/%{_sysconfdir}/issue.vz
for unit in %{SOURCE3} %{SOURCE4}; do
	install -m 644 $unit %{buildroot}/lib/systemd/system/
done

mkdir -p %{buildroot}/%{_sysconfdir}/sudoers.d/
echo "ALL ALL = (root) NOPASSWD: /sbin/vz-motd" > %{buildroot}/%{_sysconfdir}/sudoers.d/%{name}

%clean

%post
for unit in service timer; do
	%systemd_post vz-motd.$unit
done

%preun
for unit in service timer; do
	%systemd_preun vz-motd.$unit
done

%postun
%systemd_postun vz-motd.service

%triggerin -- cloudlinux-release >= 7.0, centos-release >= 7.0, redhat-release >= 7.0, vzlinux-release >= 7.0
cat %{_sysconfdir}/issue.vz > %{_sysconfdir}/issue 2>/dev/null
/sbin/vz-motd > /dev/null 2>&1
:

%triggerpostun -- virtuozzo-motd < 0.6
%_systemctl is_enabled vz-motd.service > /dev/null 2>&1
[ $? -ne 0 ] || %_systemctl start vz-motd.service > /dev/null 2>&1
for action in enable start; do
	%_systemctl $action vz-motd.timer > /dev/null 2>&1
done
:

%files
%defattr(-,root,root,-)
%{_sysconfdir}/profile.d/ssh_profile.sh
%{_sysconfdir}/issue.vz
%{_sysconfdir}/sudoers.d/%{name}
/sbin/vz-motd
/lib/systemd/system/vz-motd.*

%changelog
* Wed Nov 25 2020 Alexander Stefanov <astefanov@virtuozzo.com> 1.0-3
- fix for #PSBM-122933 run timer OnBootSec=1m

* Wed Sep 9 2020 Alexander Stefanov <astefanov@virtuozzo.com> 1.0-1
- Rewrite motd generator on python, it is a kind of prerequisites for #PSBM-106557

* Tue May 19 2020 Denis Silakov <dsilakov@virtuozzo.com> 0.9-4
- Rename to Virtuozzo Hybrid Server, see #PSBM-102637

* Sat Apr 11 2020 Denis Silakov <dsilakov@virtuozzo.com> 0.9-1
- Rename to Virtuozzo Server, see #PSBM-102637

* Wed Sep  5 2018 Konstantin Volkov <wolf@virtuozzo.com> 0.8-2
- Drop set -e, see #PSBM-87526

* Tue Jun 26 2018 Konstantin Volkov <wolf@virtuozzo.com> 0.8-1
- Send SIGHUP to agetty to force /etc/issue re-read,
  see #VSTOR-11580

* Fri May 05 2017 Andrey Bondrov <abondrov@virtuozzo.com> 0.7-2
- Run scripts from /etc/vz/ifup.d/ ( #PSBM-65817 )

* Thu Mar 2 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.7-1
- Added Install section to vz-motd.timer

* Tue Feb 28 2017 Denis Silakov <dsilakov@virtuozzo.com> 0.6-1
- Run service once an hour, not only on node boot, see #PSBM-58295

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> 0.5-1
- Correctly proceed INVALID licenses, see #PSBM-54932

* Tue Oct 25 2016 Konstantin Volkov <wolf@virtuozzo.com> 0.4-2
- Added support for unlimited licenses, see #PSBM-54224

* Thu Sep 29 2016 Konstantin Volkov <wolf@virtuozzo.com> 0.4-1
- Added vzlicview output, see #PSBM-52333

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 0.3-2
- Technical rebuild, see #PSBM-47948
- Added vzlinux-release trigger

* Tue Jul  7 2015 Alexander Burluka <aburluka@odin.com> - 0.1-1
- Initial build
